# $Revision: 1.9 $, $Date: 2007-12-24 03:04:54 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Params
%define		pnam	CallbackRequest
Summary:	Params::CallbackRequest - functional and object-oriented callback architecture
Summary(pl.UTF-8):	Params::CallbackRequest - architektura callbacków funkcyjnych i obiektowych
Name:		perl-Params-CallbackRequest
Version:	1.17
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Params/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9db73e6e2f39cd4648ada030013414e7
URL:		http://search.cpan.org/dist/Params-CallbackRequest/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Exception-Class >= 1.1
BuildRequires:	perl-Params-Validate >= 0.59
BuildRequires:	perl-Test-Simple >= 0.17
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Params::CallbackRequest provides functional and object-oriented
callbacks to method and function parameters. Callbacks may be either
code references provided to the new() constructor, or methods defined
in subclasses of Params::Callback. Callbacks are triggered either for
every call to the Params::CallbackRequest request() method, or by
specially named keys in the parameters to request().

%description -l pl.UTF-8
Params::CallbackRequest dostarcza funkcyjne i zorientowane obiektowo
wywołania zwrotne (callbacki) dla parametrów metod i funkcji.
Callbacki mogą być referencjami do kodu przekazanymi do konstruktora
new(), albo metodami zdefiniowanymi w podklasach Params::Callback.
Wywołania zwrotne są wyzwalane albo dla każdego wywołania metody
request() klasy Params::CallbackRequest, albo przez specjalnie nazwane
klucze w parametrach dla request().

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Params/*.pm
%{perl_vendorlib}/Params/CallbackRequest
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Params-CallbackRequest.spec,v $
Revision 1.9  2007-12-24 03:04:54  zbyniu
- up to 1.17

Revision 1.8  2007-03-31 20:05:28  qboosh
- generic URL
- BR: perl-Module-Build

Revision 1.7  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:44  baggins
- converted to UTF-8

Revision 1.5  2006/10/25 21:07:45  ankry
- ver. 1.15

Revision 1.4  2004/11/03 22:30:39  paladine
- formatting

Revision 1.3  2004/11/03 13:00:26  paladine
- spaces->tabs

Revision 1.2  2004/06/05 13:57:12  qboosh
- pl, cosmetics

Revision 1.1  2004/06/04 22:52:03  radek
- new
